#
# spec file for package perl-Module-CPANfile
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Module-CPANfile
Version:        1.1004
Release:        lp152.3.2
%define cpan_name Module-CPANfile
Summary:        Parse cpanfile
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Module-CPANfile/
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta) >= 2.12091
BuildRequires:  perl(CPAN::Meta::Prereqs) >= 2.12091
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(parent)
Requires:       perl(CPAN::Meta) >= 2.12091
Requires:       perl(CPAN::Meta::Prereqs) >= 2.12091
Requires:       perl(parent)
%{perl_requires}

%description
Module::CPANfile is a tool to handle cpanfile format to load application
specific dependencies, not just for CPAN distributions.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Fri Apr 27 2018 coolo@suse.com
- updated to 1.1004
  see /usr/share/doc/packages/perl-Module-CPANfile/Changes
  1.1004  2018-04-26 02:07:14 PDT
  - Fix a bug in to_strings with empty feature block (charsbar) #50
  - Explicitly add . in tests for perl 5.26
* Mon Apr 23 2018 coolo@suse.com
- updated to 1.1003
  see /usr/share/doc/packages/perl-Module-CPANfile/Changes
* Sat Feb 13 2016 coolo@suse.com
- updated to 1.1002
  see /usr/share/doc/packages/perl-Module-CPANfile/Changes
  1.1002  2016-02-12 08:23:00 PST
  - Make it work under the taint mode (-T) #41
* Thu Sep 10 2015 coolo@suse.com
- updated to 1.1001
  see /usr/share/doc/packages/perl-Module-CPANfile/Changes
  1.1001  2015-09-04 14:07:14 CEST
  - Fixed tests to avoid using subtests. #38
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.1000
  - Make it non-development release
  1.0905  2013-12-09 16:26:08 PST
  - Support mirror syntax (masaki) #22
  1.0904  2013-09-21 07:56:31 JST
  - Removed git/ref accessor from Requirement
  - Added $requirement->has_options
  1.0903  2013-09-20 15:36:30 JST
  - Added $cpanfile->merged_requirements to get the CPAN::Meta::Requirements for all prereqs
  1.0902  2013-09-20 13:45:15 JST
  - s/rev/ref/ for git options
  1.0901  2013-09-19 18:59:55 JST
  - Remove unused code
  1.0900  2013-09-19 18:45:59 JST
  - Experimental support for git URL specification
  - Complete rewrite of internal to preserve original prereq statement as much as possible
* Tue Oct  1 2013 coolo@suse.com
- initial package 1.0002
  * created by cpanspec 1.78.07
